﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGridChildColumnScrolling
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 500; i++)
            {
                SampleData sd = new SampleData()
                {
                    ID = i,
                    Label = "Label " + i.ToString(),
                    Number1 = r.Next(1000),
                    Number2 = r.Next(1000),
                    Number3 = r.Next(1000),
                    Number4 = r.Next(1000),
                    Number5 = r.Next(1000),
                    Number6 = r.Next(1000),
                    Number7 = r.Next(1000),
                    Number8 = r.Next(1000),
                    Number9 = r.Next(1000),
                    Number10 = r.Next(1000),
                    Number11 = r.Next(1000),
                    Number12 = r.Next(1000)
                };

                for (int j = 0; j < 50; j++)
                {
                    sd.Children.Add(new ChildData()
                    {
                        ChildID = j,
                        ChildLabel = "Child Label " + j.ToString(),
                        ChildNumber1 = r.Next(100),
                        ChildNumber2 = r.Next(100),
                        ChildNumber3 = r.Next(100),
                        ChildNumber4 = r.Next(100),
                        ChildNumber5 = r.Next(100),
                        ChildNumber6 = r.Next(100),
                        ChildNumber7 = r.Next(100),
                        ChildNumber8 = r.Next(100),
                        ChildNumber9 = r.Next(100),
                        ChildNumber10 = r.Next(100),
                        ChildNumber11 = r.Next(100),
                        ChildNumber12 = r.Next(100)
                    });
                }

                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public int Number1 { get; set; }
        public int Number2 { get; set; }
        public int Number3 { get; set; }
        public int Number4 { get; set; }
        public int Number5 { get; set; }
        public int Number6 { get; set; }
        public int Number7 { get; set; }
        public int Number8 { get; set; }
        public int Number9 { get; set; }
        public int Number10 { get; set; }
        public int Number11 { get; set; }
        public int Number12 { get; set; }

        public ObservableCollection<ChildData> Children { get; set; }

        public SampleData()
        {
            Children = new ObservableCollection<ChildData>();
        }
    }

    public class ChildData
    {
        public int ChildID { get; set; }
        public string ChildLabel { get; set; }
        public int ChildNumber1 { get; set; }
        public int ChildNumber2 { get; set; }
        public int ChildNumber3 { get; set; }
        public int ChildNumber4 { get; set; }
        public int ChildNumber5 { get; set; }
        public int ChildNumber6 { get; set; }
        public int ChildNumber7 { get; set; }
        public int ChildNumber8 { get; set; }
        public int ChildNumber9 { get; set; }
        public int ChildNumber10 { get; set; }
        public int ChildNumber11 { get; set; }
        public int ChildNumber12 { get; set; }
    }
}
